#### D.5.6.4 isLocalizationRegular

Procedure from library `graal.lib` (see graal_lib).

Usage:
  isLocalizationRegular(def L); L ideal or graalBearer

Return:
  int, 1 if the localization A_L of A at L is regular,
  0 otherwise.

Example:

    LIB "graal.lib";
    ring Q = 0,(X(1),X(2)),dp;
    ideal H = X(2)^2-(X(1)-1)*X(1)*(X(1)+1);
    ideal J = X(1),X(2);
    qring A = std(H);
    ideal L = fetch(Q,J);
    graalBearer Gr = graalMixed(L);
    isLocalizationRegular(Gr); // = 1
    ==> 1

User manual for Singular version 4.4.1, 2025, generated by texi2html.